mscorlib 4.0.0.0 System.Enum System.Flags

Out-of-the-box partitioners are created with a set of default behaviors. For example, by default, some form of buffering and chunking will be used to achieve optimal performance in the common scenario where an implementation is fast and non-blocking. These behaviors can be overridden by this enumeration by using the method.

Specifies options to control the buffering behavior of a partitioner

- Field
  4.0.0.0
  System.Collections.Concurrent.EnumerablePartitionerOptions

  Create a partitioner that takes items from the source enumerable one at a time and does not use intermediate storage that can be accessed more efficiently by multiple threads. This option provides support for low latency (items will be processed as soon as they are available from the source) and provides partial support for dependencies between items (a thread cannot deadlock waiting for an item that the thread itself is responsible for processing).

- Field
  4.0.0.0
  System.Collections.Concurrent.EnumerablePartitionerOptions

  Use the default behavior, which is to use buffering to achieve optimal performance.